Opened 9 years ago

Closed 13 months ago

#5641 closed Feature request (wontfix)

windows explorer cannot upload some files with special name

Reported by: Lu Wei Owned by:
Priority: high Component: FileZilla Server
Keywords: explorer Cc:
Component version: Operating system type: Windows
Operating system version: Windows 7

Description (last modified by Tim Kosse)

Uploading file "306待产包.jpg" to filezilla server fails with windows explorer, but successes with filezilla client. Not all chinese named files fails, but occurs rather frequently. Seems a character handling related bug.

the full error log:

(000019)2010-10-19 12:54:08 - (not logged in) (127.0.0.1)> Connected, sending welcome message...
(000019)2010-10-19 12:54:08 - (not logged in) (127.0.0.1)> 220 FileZilla Server version 0.9.37 beta written by Tim Kosse (Tim.Kosse@…) Please visit http://sourceforge.
(000019)2010-10-19 12:54:08 - (not logged in) (127.0.0.1)> USER me
(000019)2010-10-19 12:54:08 - (not logged in) (127.0.0.1)> 331 Password required for me
(000019)2010-10-19 12:54:08 - (not logged in) (127.0.0.1)> PASS
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 230 Logged on
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> opts utf8 on
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 200 UTF8 mode enabled
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> PWD
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 257 "/" is current directory.
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> CWD /incoming/
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 250 CWD successful. "/incoming" is current directory.
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> noop
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 200 OK
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> CWD /incoming/
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 250 CWD successful. "/incoming" is current directory.
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> TYPE A
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 200 Type set to A
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> PASV
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 227 Entering Passive Mode (127,0,0,1,6,66)
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> LIST
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 150 Connection accepted
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 226 Transfer OK
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> noop
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 200 OK
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> CWD /incoming/
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 250 CWD successful. "/incoming" is current directory.
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> TYPE I
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 200 Type set to I
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> PASV
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 227 Entering Passive Mode (127,0,0,1,6,68)
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> STOR 306待产?jpg
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 150 Connection accepted
(000019)2010-10-19 12:54:08 - me (127.0.0.1)> 550 can't access file.

Change History (9)

comment:3 Changed 6 years ago by Lu Wei

I have no virus scanner installed.
I suggest that it relates to character set handling. Maybe file explorer or filezilla is not good at UTF8 transforming and send filezilla server something that can not be understood. The bug starts at "STOR 306待产?jpg" command. Specifically, at the character 包,which displays as a question mark in the log.

comment:4 Changed 4 years ago by Tim Kosse

Status: newmoreinfo

Do you also experience this issue if using a dedicated FTP client? Explorer has a notoriously bad FTP implementation.

comment:5 in reply to:  4 Changed 4 years ago by Lu Wei

Status: moreinfonew

I do not have other dedicated FTP client; There are so many Windows machine that have not any dedicated FTP client at all, and I have to use Explorer to access the FTP server.

comment:6 Changed 3 years ago by Tim Kosse

Description: modified (diff)
Resolution: worksforme
Status: newclosed

包 is a character outside the basic multilingual plane. Older Windows versions cannot handle characters in the supplementary planes correctly. Solution is to update to a more recent Windows version, e.g. Windows 7

comment:7 Changed 3 years ago by Lu Wei

Resolution: worksforme
Status: closedreopened

I tried latest Filezilla 0.9.58 and Explorer on a Windows 7 machine (ftp://localhost),and this problem still exists. Only the character scrambled to another form:

(000003)2016/8/12 11:52:01 - luwei (::1)> STOR 306寰呬骇鍖?jpg
(000003)2016/8/12 11:52:01 - luwei (::1)> 150 Opening data channel for file upload to server of "/306寰呬骇鍖?jpg"
(000003)2016/8/12 11:52:01 - luwei (::1)> 550 can't access file.

comment:8 Changed 3 years ago by Lu Wei

Operating system version: XPSP3Windows 7

I tried latest Filezilla 0.9.58 and Explorer on a Windows 7 machine (ftp://localhost),and this problem still exists. Only the character scrambled to another form:

(000003)2016/8/12 11:52:01 - luwei (::1)> STOR 306寰呬骇鍖?jpg
(000003)2016/8/12 11:52:01 - luwei (::1)> 150 Opening data channel for file upload to server of "/306寰呬骇鍖?jpg"
(000003)2016/8/12 11:52:01 - luwei (::1)> 550 can't access file.

comment:9 Changed 2 years ago by Kurt McKee

Triage suggestion

I have attempted to recreate this problem using Windows 7 Enterprise SP1 on an NTFS filesystem, using FileZilla Server 0.9.60. I created a file named 包.txt in a test folder, then set up a test user in FileZilla Server that had read and write permissions to that folder. I connected using ftp://localhost in Windows Explorer and was able to connect and interact with the file (deleting the file and then copying the file back). Here is a sampling of the FileZilla server logs:

(000006) 4/7/2017 12:40:41 PM - test (::1)> STOR 包.txt
(000006) 4/7/2017 12:40:41 PM - test (::1)> 150 Opening data channel for file upload to server of "/包.txt"
(000006) 4/7/2017 12:40:41 PM - test (::1)> 226 Successfully transferred "/包.txt"

It appears that this is not an issue within FileZilla Server.

@luweitest, would you provide information about the service pack level, system locale, system language settings, filesystem details (for example, NTFS vs FAT32,), whether you are uploading files from a network share or a local drive, and other information that might help clarify the problem?

I also recommend that you try using a portable version of FileZilla Client or another portable FTP client like WinSCP or FreeFileSync instead of Windows Explorer and see if that resolves the problem. I agree with @codesquid, Windows Explorer has limitations in everything from its .zip file support to FTP client support and should be avoided for production use.

comment:10 in reply to:  9 Changed 2 years ago by Lu Wei

As reported this issue only occurs with windows Explorer as client and uploading.

Windows7 SP1 1.2 (6.1.7601 shown on cmd)
system locale and system language settings are Chinese
source and destination filesystem are NTFS, from local C: to E:
Filezilla server 0.9.60.2

Uploading the 包.txt:

(000009)2017/4/8 8:24:59 - admin (::1)> 230 Logged on
(000009)2017/4/8 8:24:59 - admin (::1)> opts utf8 on
(000009)2017/4/8 8:24:59 - admin (::1)> 202 UTF8 mode is always enabled. No need to send this command.
(000009)2017/4/8 8:24:59 - admin (::1)> PWD
(000009)2017/4/8 8:24:59 - admin (::1)> 257 "/" is current directory.
(000009)2017/4/8 8:24:59 - admin (::1)> CWD /
(000009)2017/4/8 8:24:59 - admin (::1)> 250 CWD successful. "/" is current directory.
(000009)2017/4/8 8:24:59 - admin (::1)> noop
(000009)2017/4/8 8:24:59 - admin (::1)> 200 OK
(000009)2017/4/8 8:24:59 - admin (::1)> CWD /
(000009)2017/4/8 8:24:59 - admin (::1)> 250 CWD successful. "/" is current directory.
(000009)2017/4/8 8:24:59 - admin (::1)> TYPE A
(000009)2017/4/8 8:24:59 - admin (::1)> 200 Type set to A
(000009)2017/4/8 8:24:59 - admin (::1)> EPSV

(000009)2017/4/8 8:24:59 - admin (::1)> 229 Entering Extended Passive Mode (
|64475|)

(000009)2017/4/8 8:24:59 - admin (::1)> LIST
(000009)2017/4/8 8:24:59 - admin (::1)> 150 Opening data channel for directory listing of "/"
(000009)2017/4/8 8:24:59 - admin (::1)> 226 Successfully transferred "/"
(000009)2017/4/8 8:24:59 - admin (::1)> noop
(000009)2017/4/8 8:24:59 - admin (::1)> 200 OK
(000009)2017/4/8 8:24:59 - admin (::1)> CWD /
(000009)2017/4/8 8:24:59 - admin (::1)> 250 CWD successful. "/" is current directory.
(000009)2017/4/8 8:24:59 - admin (::1)> TYPE I
(000009)2017/4/8 8:24:59 - admin (::1)> 200 Type set to I
(000009)2017/4/8 8:24:59 - admin (::1)> EPSV

(000009)2017/4/8 8:24:59 - admin (::1)> 229 Entering Extended Passive Mode (
|62548|)

(000009)2017/4/8 8:24:59 - admin (::1)> STOR 鍖?txt
(000009)2017/4/8 8:24:59 - admin (::1)> 150 Opening data channel for file upload to server of "/鍖?txt"
(000009)2017/4/8 8:24:59 - admin (::1)> 550 Could not open file for writing.

On the other hand, retrieving is good:

(000010)2017/4/8 9:01:11 - admin (::1)> 230 Logged on
(000010)2017/4/8 9:01:11 - admin (::1)> opts utf8 on
(000010)2017/4/8 9:01:11 - admin (::1)> 202 UTF8 mode is always enabled. No need to send this command.
(000010)2017/4/8 9:01:11 - admin (::1)> PWD
(000010)2017/4/8 9:01:11 - admin (::1)> 257 "/" is current directory.
(000010)2017/4/8 9:01:11 - admin (::1)> noop
(000010)2017/4/8 9:01:11 - admin (::1)> 200 OK
(000010)2017/4/8 9:01:11 - admin (::1)> CWD /
(000010)2017/4/8 9:01:11 - admin (::1)> 250 CWD successful. "/" is current directory.
(000010)2017/4/8 9:01:11 - admin (::1)> PWD
(000010)2017/4/8 9:01:11 - admin (::1)> 257 "/" is current directory.
(000010)2017/4/8 9:01:11 - admin (::1)> CWD /
(000010)2017/4/8 9:01:11 - admin (::1)> 250 CWD successful. "/" is current directory.
(000010)2017/4/8 9:01:11 - admin (::1)> TYPE I
(000010)2017/4/8 9:01:11 - admin (::1)> 200 Type set to I
(000010)2017/4/8 9:01:11 - admin (::1)> EPSV

(000010)2017/4/8 9:01:11 - admin (::1)> 229 Entering Extended Passive Mode (
|58911|)

(000010)2017/4/8 9:01:11 - admin (::1)> SIZE 包.txt
(000010)2017/4/8 9:01:11 - admin (::1)> 213 0
(000010)2017/4/8 9:01:11 - admin (::1)> RETR 包.txt
(000010)2017/4/8 9:01:11 - admin (::1)> 150 Opening data channel for file download from server of "/包.txt"
(000010)2017/4/8 9:01:11 - admin (::1)> 226 Successfully transferred "/包.txt"

So as long as the character is displayed correctly in log, the command succeeds.
I do suspect this is actually a bug of windows Explorer. But MS do not have a bug report system!

comment:11 Changed 13 months ago by Kurt McKee

Resolution: wontfix
Status: reopenedclosed
Type: Bug reportFeature request

This appears to be an issue with Windows Explorer, not with FileZilla Server. Perhaps it is possible for Tim to make a change to FileZilla Server that allows Windows Explorer to upload files, but I recommend using an FTP client instead of Windows Explorer.

Closing for lack of movement.

Note: See TracTickets for help on using tickets.